
SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `framadate1119`
--

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]comment`
--

CREATE TABLE `[[dbprefix]]comment` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `poll_id` varchar(64) NOT NULL,
  `name` varchar(64) DEFAULT NULL,
  `comment` text NOT NULL,
  `date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `poll_id` (`poll_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]framadate_migration`
--

CREATE TABLE `[[dbprefix]]framadate_migration` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` text NOT NULL,
  `execute_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=13 ;

--
-- Dumping data for table `[[dbprefix]]framadate_migration`
--

INSERT INTO `[[dbprefix]]framadate_migration` VALUES
(1, 'Framadate\\Migration\\From_0_0_to_0_8_Migration', '[[regtime]]'),
(2, 'Framadate\\Migration\\From_0_8_to_0_9_Migration', '[[regtime]]'),
(3, 'Framadate\\Migration\\AddColumn_receiveNewComments_For_0_9', '[[regtime]]'),
(4, 'Framadate\\Migration\\AddColumn_uniqId_In_vote_For_0_9', '[[regtime]]'),
(5, 'Framadate\\Migration\\AddColumn_hidden_In_poll_For_0_9', '[[regtime]]'),
(6, 'Framadate\\Migration\\AddColumn_ValueMax_In_poll_For_1_1', '[[regtime]]'),
(7, 'Framadate\\Migration\\Generate_uniqId_for_old_votes', '[[regtime]]'),
(8, 'Framadate\\Migration\\RPadVotes_from_0_8', '[[regtime]]'),
(9, 'Framadate\\Migration\\Alter_Comment_table_for_name_length', '[[regtime]]'),
(10, 'Framadate\\Migration\\Alter_Comment_table_adding_date', '[[regtime]]'),
(11, 'Framadate\\Migration\\AddColumns_password_hash_And_results_publicly_visible_In_poll_For_0_9', '[[regtime]]'),
(12, 'Framadate\\Migration\\Increase_pollId_size', '[[regtime]]');

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]poll`
--

CREATE TABLE `[[dbprefix]]poll` (
  `id` varchar(64) NOT NULL,
  `admin_id` char(24) NOT NULL,
  `title` text NOT NULL,
  `description` text,
  `admin_name` varchar(64) DEFAULT NULL,
  `admin_mail` varchar(128) DEFAULT NULL,
  `creation_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  `end_date` timestamp NULL DEFAULT NULL,
  `format` varchar(1) DEFAULT NULL,
  `editable` tinyint(1) DEFAULT '0',
  `receiveNewVotes` tinyint(1) DEFAULT '0',
  `receiveNewComments` tinyint(1) DEFAULT '0',
  `active` tinyint(1) DEFAULT '1',
  `hidden` tinyint(1) NOT NULL DEFAULT '0',
  `ValueMax` tinyint(4) DEFAULT NULL,
  `password_hash` varchar(255) DEFAULT NULL,
  `results_publicly_visible` tinyint(1) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]slot`
--

CREATE TABLE `[[dbprefix]]slot` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `poll_id` varchar(64) NOT NULL,
  `title` text,
  `moments` text,
  PRIMARY KEY (`id`),
  KEY `poll_id` (`poll_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Table structure for table `[[dbprefix]]vote`
--

CREATE TABLE `[[dbprefix]]vote` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `uniqId` char(16) NOT NULL,
  `poll_id` varchar(64) NOT NULL,
  `name` varchar(64) NOT NULL,
  `choices` text NOT NULL,
  PRIMARY KEY (`id`),
  KEY `poll_id` (`poll_id`),
  KEY `uniqId` (`uniqId`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
